import * as React from "react";
export interface CollapsibleProps extends React.HTMLProps<HTMLUListElement> {
}
export declare class Collapsible extends React.Component<CollapsibleProps> {
    render(): JSX.Element;
}
export interface CollapsBodyProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class CollapsBody extends React.Component<CollapsBodyProps> {
    el: HTMLDivElement | null;
    render(): JSX.Element;
}
export interface CollapsTriggerProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class CollapsTrigger extends React.Component<CollapsTriggerProps> {
    state: {
        isOpen: boolean;
    };
    el: HTMLDivElement | null;
    componentDidMount(): void;
    showHideBody(e: React.MouseEvent<HTMLDivElement>): void;
    collapse(e: React.MouseEvent<HTMLDivElement>): void;
    findCollapsible(): HTMLUListElement;
    expand(e: React.MouseEvent<HTMLDivElement>): void;
    isOpen(): boolean;
    render(): JSX.Element;
}
