import * as React from 'react';
export interface ModalProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class Modal extends React.Component<ModalProps> {
    state: {
        isOpen: boolean;
    };
    open(): void;
    close(): void;
    show(): void;
    hide(): void;
    render(): JSX.Element | null;
}
export interface ModalContentProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class ModalContent extends React.Component<ModalContentProps> {
    render(): JSX.Element;
}
export interface ModalFooterProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class ModalFooter extends React.Component<ModalFooterProps> {
    render(): JSX.Element;
}
export interface ModalHeaderProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class ModalHeader extends React.Component<ModalHeaderProps> {
    render(): JSX.Element;
}
