import * as React from 'react';
export interface SideNavProps extends React.HTMLProps<HTMLUListElement> {
}
export declare class SideNav extends React.Component<SideNavProps> {
    state: {
        open: boolean;
    };
    open(): void;
    toggle(): void;
    hide(): void;
    render(): JSX.Element;
}
export interface SideNavUserProps extends React.HTMLProps<HTMLLIElement> {
    readonly src: string;
    readonly bg_src: string;
    readonly username: string;
    readonly email: string;
}
export declare class SideNavUser extends React.Component<SideNavUserProps> {
    render(): JSX.Element;
}
export interface SideNavElProps extends React.HTMLProps<HTMLLIElement> {
}
export declare class SideNavEl extends React.Component<SideNavElProps> {
    render(): JSX.Element;
}
