import * as React from 'react';
export interface ColProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class Col extends React.Component<ColProps> {
    el: HTMLDivElement | null;
    render(): JSX.Element;
}
export interface RowProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class Row extends React.Component<RowProps> {
    el: HTMLDivElement | null;
    render(): JSX.Element;
}
export interface ParallaxProps extends React.HTMLProps<HTMLImageElement> {
}
export declare class Parallax extends React.Component<ParallaxProps> {
    render(): JSX.Element;
}
export interface DividerProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class Divider extends React.Component<DividerProps> {
    render(): JSX.Element;
}
export interface OverlayProps extends React.HTMLProps<HTMLDivElement> {
}
export declare class Overlay extends React.Component<OverlayProps> {
    state: {
        visible: boolean;
    };
    el: HTMLDivElement | null;
    show(): void;
    open(): void;
    isVisible(): boolean;
    hide(): void;
    close(): void;
    render(): JSX.Element | null;
}
